#!/bin/sh

#// ***************************************************************************
#// *                                                                         *
#// *  Licensed Materials - Property of IBM                                   *
#// *  5724-L62                                                               *
#// *                                                                         *
#// *  (C) Copyright IBM Corp. 2005 All Rights Reserved.                      *
#// *                                                                         *
#// *  US Government Users Restricted Rights - Use, duplication or            *
#// *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.      *
#// *                                                                         *
#// ***************************************************************************

if [ -z "$JAVA_HOME" ]; then
  echo "JAVA_HOME variable is not set. Please, set JAVA_HOME, before running UpdateInstaller"
  exit 1
else
  JAVA_CMD="$JAVA_HOME/bin/java"
fi

if [ ! -f $JAVA_CMD ]; then
  echo "JAVA_HOME is not set properly"
  echo "Please check ITCAM_V61_UpdateInstaller.htm or"
  echo "             ITCAM_V61_UpdateInstaller.pdf"
  echo "Paragraph: 3.2 Preparing Environment"
  exit 1
else
  #unset IBM_JAVA_OPTIONS
  IBM_JAVA_OPTIONS_BAK="$IBM_JAVA_OPTIONS"
  unset IBM_JAVA_OPTIONS

  "$JAVA_CMD" -cp update.jar com.ibm.wsam.update.controller.UpdateController $* 2>/dev/null

  IBM_JAVA_OPTIONS="$IBM_JAVA_OPTIONS_BAK"
  export IBM_JAVA_OPTIONS
fi

